package main

import (
	"log"
	"os"
	"os/exec"
)

/**
这个工具是对docker命令的一个包装，用于记录docker创建、删除容器的动作，并记录执行的用户
*/

// runWithoutAction 没有任何额外动作，仅执行命令
func runWithoutAction(args []string) error {
	var cmd *exec.Cmd
	if args == nil || len(args) == 0 {
		cmd = exec.Command("docker")
	}
	cmd = exec.Command("docker", args...)
	cmd.Stdin = os.Stdin
	cmd.Stdout = os.Stdout
	cmd.Stderr = os.Stderr
	return cmd.Run()
}

func main() {
	args := os.Args[1:]
	if len(args) == 0 {
		err := runWithoutAction(args)
		if err != nil {
			log.Fatal(err)
		}
		os.Exit(0)
	}
	switch args[0] {
	case "run":
	case "create":
	case "rm":

	default:
		err := runWithoutAction(args)
		if err != nil {
			log.Fatal(err)
		}
		os.Exit(0)
	}
}

/*
用户
时间
当前文件夹
*/
